Jump to content

Olivier_CEA_Grenoble

Membres
  • Content Count

    30
  • Joined

  • Last visited

Community Reputation

0 Neutral

About Olivier_CEA_Grenoble

  • Rank
    Advanced Member
  1. Je m'approche et je m’accroche ;) Bien, Le PB est plus complexe qu'un simple trans. Si je veux la légende en HD, il me faut que x soit systématiquement positif et que le x 'extmax soit supérieur a x 'extmin du coup, je récupère le x de 'extmin (setq maxi (trans (getvar 'extmax)0 1) mini (trans (getvar 'extmin)0 1) ) (if (/= (minusp (car maxi)) T) (setq PTinsLegende maxi) (setq PTinsLegende (subst (car mini) (car maxi) maxi)) ) (if (> (car mini)(car maxi) nil ) (setq PTinsLegende (subst (car mini) (car maxi) maxi)) ) et que l'insertion ce face dans le scu nommé. Reste je pense
  2. Bonjour gile, Effectivement, le trans me parait de bonne aloi, bien que cela ne résolve pas mon pb de droite gauche. A près le trans, je vais tenter de mettre le x en valeur positive de façons systématique via minusp.. Je test! a de suite Ølivier Je patalle complètement grave :wacko: Le passage en positif ne donne bien sur rien du tout.
  3. Bonjour gil, Effectivement, le trans me parait de bonne aloi, bien que cela ne résolve pas mon pb de droite gauche. A près le trans, je vais tenter de mettre le x en valeur positive de façons systématique via minusp.. Je test! a de suite Ølivier
  4. Merci, je viens de tester et bien que les commandes VLA me paraisse puissante je suis loin du compte! :unsure: Je supose que LST_MAX est en fonction du SCG et non pas du SCU nommé. A+ Ølivier
  5. Bonjour a tous, Je séche :angry: D'habitude je trouve des solutions a mes problèmes,grâce a ce forum, mais là? Rien. :blink: Je suis en cour d'écriture d'une fonction qui me permette d'ajouter une légende automatique sur le point haut droit d'un fichier suivant le scu courant. Malheureusement, mes fichiers étant géographier autour du 0,0 , EXTMAX ce trouve du coup très différents suivant le fichier. (getvar "extmax") Cas1 = (215.44 -34290.8 0.0) Cas2 = (-42665.7 -4973.1 0.0) Cas3 = (117551.0 38521.3 0.0) et j'en passe Du coup j'ai écrit ce qui suit mais la legende ce balade en perma
  6. Bonjour, J'ai couramment ce PB et j'utilise cet routine suivant un scu particulier: ;;--------------------------------------------- ;;--rotation de bloc suivant SCU TRAV ;;--------------------------------------------- (defun c:R_OBJ_LAB (ss1 / ss2 ss1_type ANG_SCU_TRAV SCU_Begin) (setq ss1_type (cdr(assoc 0 (entget(ssname ss1 0)))) SCU_Begin (getvar "ucsname") ) (if (= (cdr(assoc 50(entget (ssname ss1 0)))) 0.0 ) (if (/= SCU_Begin "TRAV") (progn (command "scu" "nom" "r" "TRAV") (setq ANG_SCU_TRAV (angtos(angle '(0 0) (getvar "ucsxdir"))0 4) ) ) (setq ANG_SCU_TRAV
  7. Effectivement, le loadfolder est spécifique de la surcouche GEOMAP. Je viens de contourner le problème, pas de façons très orthodoxe, mais ça marche. je créé le script depuis SAS et le modifie par la suite en ajoutant les variables nécessaires (load "x:\\...\\acad"), qui lance le loadfolder et ainsi de suite; puis je le lance depuis l’environnement déjà en place _expert 2 _open O "x:/...../DOSSIERS/00001_119235/C_0001_119235_A.DWG" O filedia 0 (load "acad") (load "aru_mfiles") A2M _open "x:/...../DOSSIERS/00002_119734/C_0002_119734_D.DWG" O filedia 0 (load "acad") (load "aru_mfiles") A2
  8. Bonjour bonuscad, J'ai effectivement inclus le chargement du lisp dans le script (load "aru_mefiles")mais SAS ne charge pas l’environnement complet avant l'ouverture du fichiers. J'essais de forcer l’environnement avant la charge de aru_mfiles et je fais un retour ici. Merci Olivier :angry: Commande: (command "LoadFolder" "SFM-Réseau&Réseau interne") LoadFolder Commande inconnue "LOADFOLDER". Appuyez sur F1 pour obtenir de l'aide. Commande: SFM-Réseau&Réseau interne Commande inconnue "SFM-RESEAU&RESEAU INTERNE". Appuyez sur F1 pour obtenir de l'aide.
  9. Bonjour a tous, Je bloque sous SAS pour ce qui est de la récupération de fichiers pour notre nouvel environnement de gestion documentaire.(M-files) Je pose le problème: Environnement: Autocad MAP 2008 :( Une base de données SQL de gestion patrimonial GEOMAP qui fait la liaisons Autocad MAP => BDD SQL Des fichiers avec cartouche comportant les noms de bâtiments en gestion qui sont parfois mal orthographié: TO-TO pour le bâtiment TOTO Ce qui fait que j'ai besoins de les vérifier dans notre base gestion patrimoniale. La dénomination des fichiers qui comprend les autres multis référ
  10. Bonjour Merci Gile. Un problème de lisp, un coup de CadXp, une réponse de Gile. Il y a tout IcI, j'avais un problème de récupération de dessin avec données personalisées a faire sous MAP. Avec Gile c'est plus facile. :D Je finis mon outil et je le met en ligne
  11. Voila ce que je viens de mettre en place. J'ai récupérer le profil courant avec les "VLA" que je ne maîtrise absolument pas :ph34r: J'ai récupérer ça chez Patrick35 ;;Définition du titre en fonction du profiles (setq CourantProfil(vla-get-activeprofile (vla-get-profiles (vla-get-preferences (vlax-get-acad-object))))) (command "netload" "changetitle.dll") (if(/= CourantProfil "Profil-1") (if ( = CourantProfil "Profil-2") (command ".changetitle" "Titre-2") (alert "L'application courante n'est pas nommée\n\n\t Veuillez prévenir l'adminstrateur") ) (command ".changetitle" "Titre-1") ) Mer
  12. Bonjour, Je me confronte a un nouveau problème sur ce change de titre. Lors de l'utilisation de changetitle.dll en direct pas de problème. Mais lors du lancement au travers des chargements par profil (appload) cela ne fonctionne pas a tous les coups. En effet si je lance un Autocad avec un profil standard puis un Autocad avec un profil qui utilise changetitle.dll j'ai ce message d'erreur. Commande: netload Nom du fichier d'assemblage: changetitle.dll Impossible de charger l'assemblage. Détails de l'erreur: Autodesk.AutoCAD.Runtime.Exception: eDuplicateKey à Autodesk.AutoCAD.Runtime.Inte
  13. Bonjour Je viens de découvrir cet outil et il fonctionne parfaitement sous AutoCAD MAP 2008. Mais personne ne s'en étonnera plus :P Merci Gile
  14. Bonjour Je réveille ce vieux poste simplement pour remercier Gile. Travaillant sur des fichiers ancien, j’étais confronté au même Pb. Merci Gile. :)
×
×
  • Create New...